#include <stdio.h>
#include <string.h>
#define FLEN 50

void rm_newline(char s[FLEN]) {
  fgets(s, 50, stdin);
  int len = strlen(s);
  // Remove trailing newline if needed
  if (s[len - 1] == '\n') s[len - 1] = '\0';
}

int main() {
  int c;
  char filename[50], fout[50];

  printf("In file?\n");
  rm_newline(filename);

  printf("Out file?\n");
  rm_newline(fout);

  printf("Writing %s to %s \n", filename, fout);
  FILE *f = fopen(filename, "r");
  FILE *f2 = fopen(fout, "w");
  if (f != NULL && f2 != NULL) {
    while ((c = fgetc(f)) != EOF) {
      fputc(c, f2);
    }
    fclose(f);
    fclose(f2);
    return 0;
  }
  else {
    printf("Failed to open %s or %s...\n", filename, fout);
    return 1;
  }
}
